set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib64/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/lib64/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.3.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.3.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include;/usr/include/freetype2;/usr/include/python2.7;/usr/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtkRenderingOpenGL;vtkImagingHybrid;vtkIOImage;vtkCommonDataModel;vtkCommonMath;vtkCommonCore;vtksys;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonExecutionModel;vtkDICOMParser;vtkIOCore;/usr/lib64/libz.so;vtkmetaio;/usr/lib64/libjpeg.so;/usr/lib64/libpng.so;/usr/lib64/libtiff.so;vtkImagingCore;vtkRenderingCore;vtkCommonColor;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkImagingFourier;vtkalglib;vtkFiltersGeometry;vtkFiltersSources;vtkImagingSources;vtkIOPLY;vtkIOGeometry;vtkViewsQt;vtkGUISupportQt;vtkInteractionStyle;vtkViewsInfovis;vtkChartsCore;vtkInfovisCore;vtkRenderingContext2D;vtkRenderingFreeType;/usr/lib64/libfreetype.so;vtkftgl;vtkFiltersImaging;vtkImagingGeneral;vtkFiltersModeling;vtkInfovisLayout;vtkRenderingLabel;vtkViewsCore;vtkInteractionWidgets;vtkFiltersHybrid;vtkRenderingAnnotation;vtkImagingColor;vtkRenderingVolume;/usr/lib64/libexpat.so;vtkGUISupportQtWebkit;vtkRenderingImage;vtkIOMovie;/usr/lib64/libtheoraenc.so;/usr/lib64/libtheoradec.so;/usr/lib64/libogg.so;/usr/lib64/libhdf5.so;/usr/lib64/libhdf5_hl.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;/usr/lib64/libpython2.7.so;vtkIOXMLParser;vtkFiltersVerdict;verdict;vtkViewsContext2D;vtkIOEnSight;vtkFiltersParallelImaging;vtkFiltersParallel;vtkParallelCore;vtkIOLegacy;vtkFiltersGeneric;vtkFiltersSMP;vtkIOExodus;vtkIOXML;vtkexoIIc;/lib64/libnetcdf_c++.so;/lib64/libnetcdf.so;vtkLocalExample;vtkIOParallelXML;vtkGeovisCore;vtkproj4;vtkFiltersAMR;vtkIOAMR;vtkIOMINC;vtkFiltersFlowPaths;vtkWrappingJava;vtkWrappingTools;vtkTestingRendering;vtkTestingGenericBridge;vtkGUISupportQtSQL;vtkIOSQL;vtksqlite;vtkIOParallel;vtkIONetCDF;/usr/lib64/libjsoncpp.so;vtkRenderingVolumeOpenGL;vtkIOLSDyna;vtkFiltersPython;vtkWrappingPythonCore;vtkRenderingLIC;vtkFiltersHyperTree;/usr/lib64/libxml2.so;vtkRenderingContextOpenGL;vtkViewsGeovis;vtkInteractionImage;vtkFiltersStatisticsGnuR;vtkIOVideo;vtkImagingStatistics;vtkIOImport;vtkDomainsChemistry;vtkGUISupportQtOpenGL;vtkIOInfovis;/usr/lib64/libgl2ps.so;vtkImagingMorphological;vtkFiltersTexture;vtkRenderingGL2PS;vtkIOExport;vtkImagingStencil;vtkFiltersProgrammable;vtkFiltersSelection;vtkTestingIOSQL;vtkRenderingLOD;vtkRenderingQt;vtkImagingMath)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

